WindowsXPTableHeaderUI (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.windows

## Class WindowsXPTableHeaderUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TableHeaderUI
    - - javax.swing.plaf.basic.BasicTableHeaderUI
      - - com.sun.java.swing.plaf.windows.WindowsTableHeaderUI
        - - com.jgoodies.looks.windows.WindowsXPTableHeaderUI

-     public final class WindowsXPTableHeaderUI
      extends com.sun.java.swing.plaf.windows.WindowsTableHeaderUI

  The JGoodies Windows L&F implementation of `TableHeaderUI`. A Windows table header that honors the XP header style even if the user uses custom non-opaque renderers. The renderers should be a subclass of `JComponent` because we need to replace the border by the one specified in the XP style.

  Thanks to Andrej Golovnin for his feedback and suggestions.

  Version:
    $Revision: 1.10 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTableHeaderUI

      `BasicTableHeaderUI.MouseInputHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicTableHeaderUI

      `header, mouseInputListener, rendererPane`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsXPTableHeaderUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent h)`
    `void` | `installUI(JComponent c)`
    `void` | `paint(Graphics g, JComponent c)`
    `void` | `uninstallUI(JComponent c)`

    - ### Methods inherited from class com.sun.java.swing.plaf.windows.WindowsTableHeaderUI

      `rolloverColumnUpdated`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTableHeaderUI

      `createMouseInputListener, getBaseline, getMaximumSize, getMinimumSize, getPreferredSize, getRolloverColumn, installDefaults, installKeyboardActions, installListeners, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaselineResizeBehavior, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsXPTableHeaderUI

          public WindowsXPTableHeaderUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent h)

    - #### installUI

          public void installUI(JComponent c)

      Overrides:
        `installUI` in class `com.sun.java.swing.plaf.windows.WindowsTableHeaderUI`

    - #### uninstallUI

          public void uninstallUI(JComponent c)

      Overrides:
        `uninstallUI` in class `com.sun.java.swing.plaf.windows.WindowsTableHeaderUI`

    - #### paint

          public void paint(Graphics g,
                   JComponent c)

      Overrides:
        `paint` in class `BasicTableHeaderUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.